For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This method retrieves information about an indexed asset, including its status, metadata, and optional embeddings or transcription.
Use this method to:
- Monitor the indexing progress:
- Call this endpoint after creating an indexed asset
- Check the `status` field until it shows `ready`
- Once ready, your content is available for search and analysis
- Retrieve the asset metadata:
- Retrieve system metadata (duration, resolution, filename)
- Access user-defined metadata
- Retrieve the embeddings:
- Include the `embeddingOption` parameter to retrieve video embeddings
- Requires the Marengo video understanding model to be enabled in your index
- Retrieve transcriptions:
- Set the `transcription` parameter to `true` to retrieve spoken words from your video
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
index-idstringRequired
The unique identifier of the index to which the indexed asset has been uploaded.
indexed-asset-idstringRequired
The unique identifier of the indexed asset to retrieve.
Query parameters
embedding_optionlist of enumsOptional
Specifies which types of embeddings to retrieve. Values: `visual`, `audio`, `transcription`. For details, see the [Embedding options](/v1.3/docs/concepts/modalities#embedding-options) section.
<Note title="Note">
To retrieve embeddings for a video, it must be indexed using the Marengo video understanding model. For details on enabling this model for an index, see the [Create an index](/reference/create-index) page.
</Note>
Allowed values:
transcriptionbooleanOptional
Specifies whether to retrieve a transcription of the spoken words.
Response
The specified indexed asset information has successfully been retrieved.
_idstringOptional
A string representing the unique identifier of your indexed asset.
asset_idstringOptional
The unique identifier of the associated asset.
created_atstringOptional
A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the indexing task was created.
updated_atstringOptional
A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the indexing task was last updated. The platform updates this field every time the indexing task transitions to a different state.
indexed_atstringOptional
A string indicating the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the indexing task has been completed.
statusenumOptional
The status of the indexing task.
system_metadataobjectOptional
System-generated metadata about the indexed asset.
user_metadatamap from strings to strings or integers or doubles or booleans or lists of stringsOptional
User-defined metadata for this indexed asset.
hlsobjectOptional
The platform returns this object only for the videos that you uploaded with the enable_video_stream parameter set to true.
embeddingobjectOptional
Contains the embedding and the associated information. The platform returns this field when the embedding_option parameter is specified in the request.
transcriptionlist of objectsOptional
An array of objects that contains the transcription. For each time range for which the platform finds spoken words, it returns an object that contains the fields below. If the platform doesn’t find any spoken words, the data field is set to null.
Errors
400
Bad Request Error
404
Not Found Error
This method retrieves information about an indexed asset, including its status, metadata, and optional embeddings or transcription.
Use this method to:
Monitor the indexing progress:
Call this endpoint after creating an indexed asset
Check the status field until it shows ready
Once ready, your content is available for search and analysis
Retrieve the asset metadata:
Retrieve system metadata (duration, resolution, filename)
Access user-defined metadata
Retrieve the embeddings:
Include the embeddingOption parameter to retrieve video embeddings
Requires the Marengo video understanding model to be enabled in your index
Retrieve transcriptions:
Set the transcription parameter to true to retrieve spoken words from your video
Specifies which types of embeddings to retrieve. Values: visual, audio, transcription. For details, see the Embedding options section.
Note
To retrieve embeddings for a video, it must be indexed using the Marengo video understanding model. For details on enabling this model for an index, see the Create an index page.